name: mysql operator
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - mysql-operator
    traits:
      meshmap:
        edges: []
        id: d4a45a50-5f9e-48a3-bc91-d41ff4612817
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent",
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-image: none
            background-opacity: 0.1
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 3
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0.1}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: a7aea6d4-bb08-4666-a80f-3e52a5c5e94f
        position:
          posX: 50
          posY: 50
        whiteboardData: {}
  mysql-operator:
    name: mysql-operator
    type: Deployment
    apiVersion: apps/v1
    namespace: mysql-operator
    model: kubernetes
    labels:
      app.kubernetes.io/component: controller
      app.kubernetes.io/created-by: mysql-operator
      app.kubernetes.io/instance: mysql-operator
      app.kubernetes.io/managed-by: mysql-operator
      app.kubernetes.io/name: mysql-operator
      app.kubernetes.io/version: 8.4.0-2.1.3
      version: "1.0"
    settings:
      spec:
        replicas: 1
        selector:
          match Labels:
            name: mysql-operator
        template:
          metadata:
            labels:
              name: mysql-operator
          spec:
            containers:
            - args:
              - mysqlsh
              - --log-level=@INFO
              - --pym
              - mysqloperator
              - operator
              env:
              - name: MYSQLSH_USER_CONFIG_HOME
                value: /mysqlsh
              - name: MYSQLSH_CREDENTIAL_STORE_SAVE_PASSWORDS
                value: never
              image: container-registry.oracle.com/mysql/community-operator:8.4.0-2.1.3
              image Pull Policy: IfNotPresent
              name: mysql-operator
              readiness Probe:
                exec:
                  command:
                  - cat
                  - /tmp/mysql-operator-ready
                initial Delay Seconds: 1
                period Seconds: 3
              security Context:
                allow Privilege Escalation: false
                privileged: false
                read Only Root Filesystem: true
                run As User: 2
              volume Mounts:
              - mount Path: /mysqlsh
                name: mysqlsh-home
              - mount Path: /tmp
                name: tmpdir
            service Account Name: mysql-operator-sa
            volumes:
            - empty Dir: {}
              name: mysqlsh-home
            - empty Dir: {}
              name: tmpdir
    traits:
      meshmap:
        edges: []
        id: a7aea6d4-bb08-4666-a80f-3e52a5c5e94f
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          shapePolygonPoints: ""
          status: enabled
          styleOverrides: '{"border-width":2,"background-opacity":0.5}'
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 50
          posY: 50
        whiteboardData:
          style: {}
